PSRECORD(1)

NAME
psrecord - A small utility that records the CPU and memory activity of a process. Can also output results to a plot.

DESCRIPTION
usage: psrecord [-h] [--log LOG] [--log-format LOG_FORMAT] [--plot PLOT]

    [--duration DURATION] [--interval INTERVAL] [--include-children] [--include-io] process_id_or_command

Record CPU and memory usage for a process

  positional arguments:

process_id_or_command
    the process id or command.

  options:

-h, --help
    show this help message and exit

--log LOG
    output the statistics to a file. If neither --log nor --plot are specified, print to print to standard output.

--log-format LOG_FORMAT
    the format of the log file, can be one of "plain" or "csv"

--plot PLOT
    output the statistics to a plot.

--duration DURATION
    how long to record for (in seconds). If not specified, the recording is continuous until the job exits.

--interval INTERVAL
    how long to wait between each sample (in seconds). By default the process is sampled as often as possible.

--include-children
    include sub-processes in statistics (results in a slower maximum sampling rate).

--include-io
    include include_io I/O stats